﻿
/* 1366px (xl帯: 1200-1399) でも 1320px 幅を使いたい */
@media (min-width:1200px) and (max-width:1399.98px) {
    .container,
    .container-lg,
    .container-xl {
        max-width: 1320px; /* 標準 1140 → 1320 */
    }
}

input.input-item-validation-error {
    border: 1px solid #ff0000;
    background-color: #ffeeee;
}

input[type="checkbox"]:checked.input-item-validation-error {
    border: 1px solid #ff0000;
    background-color: #ffeeee;
    outline: 2px solid red;
}

select.input-item-validation-error {
    border: 1px solid #ff0000;
    background-color: #ffeeee;
}

textarea.input-item-validation-error {
    border: 1px solid #ff0000;
    background-color: #ffeeee;
}

:disabled.form-control, [readonly].form-control {
    background-color: #e9ecef;
    opacity: 1;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox用 */
input[type="number"] {
    -moz-appearance: textfield;
}

input[type="number"] {
    text-align: right;
}

input[type="text"].range-control {
    text-align: right;
}

/* 必須マーク列（非必須は空を確保して揃える場合） */
.row label.mostleft-item::after {
    content: "";
    position: absolute;
    right: .05em;
    top: 50%;
    transform: translateY(-50%);
    text-align: center;
    font-weight: 700;
    line-height: 1;
}

/* 必須のみ表示 */
.row label.mostleft-item.required::after {
    content: "*";
    color: #dc3545;
    font-size: 1.5rem;
    text-shadow: 0 0 1px rgba(0,0,0,.3);
    top: calc(50% + 2px); /* 2px 下げる */
    transform: translateY(-50%);
}

.row label.mostleft-item {
    display: inline-block;
    text-align: right;
    margin-right: 4px;
    padding-right: 0.9em; /* 必須マーク用スペース */
    padding-top: calc(0.375rem + 1px);
    padding-bottom: calc(0.375rem + 1px);
    margin-bottom: 0;
    font-size: inherit;
    line-height: 1.5;
    position: relative;
    box-sizing: border-box;
}



/* 高コントラスト */
@media (forced-colors: active) {
    .row label.mostleft-item.required::after {
        forced-color-adjust: none;
        color: Highlight;
    }
}

label.lbl-search-left {
    width: 100px !important;
}

input[type="text"].m-kanri-no {
    width: 65px !important;
}

input[type="text"].m-kanri-no-2 {
    width: 40px !important;
}

input[type="text"].txt-kanri-no {
    width: 65px !important;
}

input[type="text"].txt-kanri-no-2 {
    width: 40px !important;
}

input[type="text"].m-tenpo-nm {
    width: 500px;
}

input[type="text"].m-card-cd {
    width: 55px !important;
}

input[type="text"].m-card-nm {
    width: 300px;
}


input[type="text"].m-card-cd {
    width: 55px !important;
}

input[type="text"].m-card-nm {
    width: 300px;
}

input[type="text"].m-dest-code {
    width: 70px;
}

input[type="text"].m-dest-nm {
    width: 300px;
}

input[type="text"].datepicker-date {
    width: 120px !important;
    text-align: center;
}

input[type="text"].datepicker-birth-date {
    width: 120px !important;
    text-align: center;
}

input[type="text"].datepicker-month {
    width: 100px !important;
    text-align: center;
}

input[type=text].txt-card-cd {
    width: 60px !important;
}

input[type=text].text-tel-w {
    width: 160px !important;
}

input[type=text].date-yyyymm-textbox-for {
    width: 100px !important;
    text-align: center;
}

.table-responsive.table-sticky .table thead th {
    position: sticky;
    top: 0;
    background: #0d6efd;
    color: #fff;
    z-index: 2;
}

.table-responsive.table-sticky {
    max-height: 400px;
    overflow-y: auto;
}

.table-sticky thead {
    background-color: #1976d2 !important; /* 必要に応じて色を調整 */
    color: #fff !important;
    z-index: 2;
    position: sticky;
    top: 0;
}

th.th-btn, td.th-btn {
    width: 60px;
    text-align: center;
}

input.txt-bank-no {
    width: 60px !important;
}

input.m-bank-nm, input.txt-bank-nm {
    width: 270px;
}

input.txt-bank-knm, input.txt-siten-knm {
    width: 270px !important;
}

input.m-siten-nm, input.txt-siten-nm {
    width: 330px;
}

th.th-bank-no, td.th-bank-no, th.th-siten-no, td.th-siten-no {
    width: 100px !important;
    text-align: center;
}

.modal-backdrop {
    opacity: 0.3 !important; /* ← この数値を変更 */
}

th.th-kanri-no, td.th-kanri-no {
    width: 110px !important;
    text-align: center;
}

.btn-pdf {
    content: "";
    display: inline-block;
    width: 28px;
    height: 28px;
    /*margin: -3px 5px 0 0;*/
    background: url("images/icn_pdf.svg") no-repeat;
    background-size: contain;
    vertical-align: middle;
}

button.btn-reference {
    width: 60px;
    white-space: nowrap;
}

.th-dest-code {
    width: 100px !important;
    text-align: center;
}

.th-dest-add {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 200px;
}


.breadcrumb-form {
    display: inline; /* フォームをインラインで表示 */
}

.breadcrumb-link-button {
    background: none;
    border: none;
    padding: 0;
    color: #0d6efd; /* リンクの色 */
    text-decoration: underline;
    cursor: pointer;
}

.th-card-cd, .th-tesu-kbn {
    width: 100px;
    text-align: center;
}

.custom-col-width {
    white-space: nowrap;
}

body.custom-bg {
    background-color: aliceblue;
}
